<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><plugin id="com.metamatrix.modeler.tools.textimport.ui" name="%pluginName"
        version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.tools.textimport.ui.TextImportPlugin">

   <runtime>
      <library name="modelerTextImportUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerTextImportUi.jar">
         <export name="*"/>
      </library>
   </runtime>

   <requires>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="org.eclipse.ui.ide"/>
   </requires>
   
   <extension-point id="textImportContributor" name="%textImportContributor"
                    schema="schema/textImportContributor.exsd"/>

   <extension point="org.eclipse.ui.importWizards">
<!-- Modeler Text File Model Object Import Wizard -->
      <wizard icon="icons/full/cview16/import_text.gif"
              class="com.metamatrix.modeler.tools.textimport.ui.wizards.ImportTextWizard"
              name="%importTextWizard.name"
              id="com.metamatrix.modeler.tools.textimport.ui.wizards.ImportTextWizard">
         <description>
            %importTextWizard.description
         </description>
      </wizard>
   </extension>
   <!-- Eclipse Import Wizards -->
   <extension point="com.metamatrix.modeler.ui.importWizards">
<!-- Modeler Text File Model Import Wizard -->
      <wizard name="%importTextWizard.name" icon="icons/full/cview16/import_text.gif"
              class="com.metamatrix.modeler.tools.textimport.ui.wizards.ImportTextWizard"
              id="com.metamatrix.modeler.tools.textimport.ui.wizards.ImportTextWizard">
         <description>
            %importTextWizard.description
         </description>
      </wizard>
   </extension>
</plugin>